from typing import Any

from easymaker.common.base_model.easymaker_base_model import EasyMakerBaseModel


class TrainingCommonBaseModel(EasyMakerBaseModel):
    experiment: Any | None = None
    instance_count: int | None = None
    nproc_per_node: int | None = None
    algorithm: Any | None = None
    source_dir_uri: str | None = None
    entry_point: str | None = None
    model_upload_uri: str | None = None
    check_point_input_uri: str | None = None
    check_point_upload_uri: str | None = None
    log_and_crash_app_key: str | None = None
    timeout_minutes: int | None = None
    elapsed_time_seconds: int | None = None
    tensorboard_access_uri: str | None = None
    tensorboard_access_path: str | None = None
    dataset_list: list[Any] | None = None
    flavor: Any | None = None
    image: Any | None = None
    boot_storage: Any | None = None
    data_storage_list: list[Any] | None = None
    model_list: list[Any] | None = None


class TrainingBaseModel(TrainingCommonBaseModel):
    training_id: str | None = None
    training_name: str | None = None
    training_status_code: str | None = None
    hyperparameter_list: list[Any] | None = None
